aboutsummaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest/node/install_nvm_0.39.sh14
-rw-r--r--test/node/scenarios.json10
2 files changed, 23 insertions, 1 deletions
diff --git a/test/node/install_nvm_0.39.sh b/test/node/install_nvm_0.39.sh
new file mode 100755
index 0000000..6b96381
--- /dev/null
+++ b/test/node/install_nvm_0.39.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+# Definition specific tests
+check "version" bash -c "node --version"
+check "pnpm" pnpm -v
+check "nvm version" bash -c ". /usr/local/share/nvm/nvm.sh && nvm --version | grep 0.39"
+
+# Report result
+reportResults
diff --git a/test/node/scenarios.json b/test/node/scenarios.json
index 5524f5c..a45620f 100644
--- a/test/node/scenarios.json
+++ b/test/node/scenarios.json
@@ -44,5 +44,13 @@
"version": "16"
}
}
+ },
+ "install_nvm_0.39": {
+ "image": "mcr.microsoft.com/devcontainers/base",
+ "features": {
+ "node": {
+ "nvmVersion": "0.39"
+ }
+ }
}
-} \ No newline at end of file
+}